Subject: Re: bug#20211: 24.4; sendmail.el

From: martin rudalics <[email-masked]>
Date: Mon, 30 Mar 2015 18:02:31 +0200

> Proposed emacs-24.4/lisp/Changelog entry:

Even Emacs 24.5 is frozen now so I installed it in Emacs 25.1 as

    d16fb74..d9eff02  master -> master

Please have a look.  If we decide to release 24.6 we can backport it
there.

 >> IIUC "when mail-interactive is true and the sendmail program fails" we
 >> show the error.  Don't we?
 >
 > I do not know.  I believe this patch only changes the sendmail.el logic
 > in the mail-interactive true case to use buffer-live-p instead of
 > bufferp.  The error I encountered occurs only when mail-interactive is
 > nil: in this case, errbuf is never created and the attempt to switch to
 > the non-existant buffer causes a fault.

Yes but due to your patch we can switch to errbuf only if it is live so
the error should not happen any more.

Thanks, martin